> ## Documentation Index
> Fetch the complete documentation index at: https://evo-0136956d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent 接入总览

> Claude Code、GitHub Copilot、OpenCode、OpenClaw 等 Agent 工具的 Nusabase API 接入入口页。

本页是 Agent 工具接入入口。不同工具对自定义 Provider、OpenAI 兼容接口和 Anthropic 兼容接口的支持程度不同，请按工具查看详细配置与验证步骤。

## 通用配置

* 根地址：`https://api.nusabase.com`
* OpenAI 兼容 Base URL：`https://api.nusabase.com/v1`
* OpenAI 兼容认证头：`Authorization: Bearer sk-你的_api_key`
* Anthropic 兼容认证头：`x-api-key: sk-你的_api_key`，并携带 `anthropic-version: 2023-06-01`
* 模型发现：`GET /v1/models`
* Chat Completions：`POST /v1/chat/completions`
* Anthropic Messages 兼容：`POST /v1/messages`

## 快速连通性检查

```bash theme={null}
curl https://api.nusabase.com/v1/models \
  -H "Authorization: Bearer sk-你的_api_key"
```

## 工具接入指南

* [接入 Claude Code](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-claude-code.md)
* [接入 GitHub Copilot](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-github-copilot.md)
* [接入 GitHub Copilot CLI](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-github-copilot-cli.md)
* [接入 Kilo Code](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-kilo-code.md)
* [接入 WorkBuddy/CodeBuddy](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-workbuddy-codebuddy.md)
* [接入 OpenCode](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-opencode.md)
* [接入 OpenClaw](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-openclaw.md)
* [接入 Hermes](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-hermes.md)
* [接入 CC Switch](https://evo-0136956d.mintlify.site/zh/guides/agent-integrations-ccswitch.md) — 图形化管理以上工具的 Nusabase 配置

## 参考资料

* [首个请求示例](https://evo-0136956d.mintlify.site/zh/getting-started/first-request.md)
* [模型与价格](https://evo-0136956d.mintlify.site/zh/getting-started/pricing.md)
* [错误码](https://evo-0136956d.mintlify.site/zh/getting-started/error-codes.md)
* [Claude Code LLM gateway](https://code.claude.com/docs/en/llm-gateway)
* [GitHub Copilot CLI BYOK](https://docs.github.com/en/copilot/how-tos/copilot-cli/customize-copilot/use-byok-models)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.